### Function

# GObject TypeValueFreeFunc

since: 2.78

#### Declaration

    void
    (* GTypeValueFreeFunc) (
      GValue* value
    )

#### Description [src]

Frees any old contents that might be left in the `value->data` array of the given value.

No resources may remain allocated through the `GValue` contents after this function returns. E.g. for our above string type:

    // only free strings without a specific flag for static storage
    if (!(value->data[1].v_uint & G_VALUE_NOCOPY_CONTENTS))
      g_free (value->data[0].v_pointer);

Available since: 2.78

#### Parameters

`value`

  Type: `GValue`

  The value to free.

  The data is owned by the caller of the function.